# Class WriteTextClient

java.lang.Object
org.a11y.brlapi.Component
org.a11y.brlapi.ProgramComponent
org.a11y.brlapi.Program
org.a11y.brlapi.Client
org.a11y.brlapi.clients.PauseClient
org.a11y.brlapi.clients.WriteTextClient

All Implemented Interfaces:
  `Runnable`

public class WriteTextClient extends PauseClient

## Nested Class Summary

### Nested classes/interfaces inherited from class Client

`Client.ClientTask, Client.RawModeTask, Client.TtyModeTask`

### Nested classes/interfaces inherited from class Program

`Program.Option`

## Field Summary

### Fields inherited from class PauseClient

`DEFAULT_WAIT_TIME, MINIMUM_WAIT_TIME`

### Fields inherited from class Program

`USAGE_OPTIONAL_BEGIN, USAGE_OPTIONAL_END, USAGE_REPEATING_INDICATOR`

### Fields inherited from class ProgramComponent

`EXIT_CODE_EXTERNAL, EXIT_CODE_INTERNAL, EXIT_CODE_SEMANTIC, EXIT_CODE_SUCCESS, EXIT_CODE_SYNTAX`

### Fields inherited from class Component

`BYTE_MASK, UNICODE_BRAILLE_ROW`

## Constructor Summary

Constructors
Constructor
Description
`WriteTextClient(String... arguments)`

## Method Summary

Modifier and Type
Method
Description
`protected final void`
`extendUsageSummary(StringBuilder usage)`
`protected final void`
`processParameters(String[] parameters)`
`protected final void`
`runClient(Connection connection)`

### Methods inherited from class PauseClient

`getWaitTime, pause`

### Methods inherited from class Client

`getParameter, pause, rawMode, rawMode, runProgram, setAuthenticationScheme, setServerHost, ttyMode, ttyMode`

### Methods inherited from class Program

`addOption, addOptionalParameters, addRepeatingParameter, addRequiredParameters, getProgramName, getPurpose, getUsageSummary, isClient, onProgramException, run, setProgramName, writeProgramMessage`

### Methods inherited from class ProgramComponent

`isClient, isClient`

### Methods inherited from class Component

`getObjectName, getObjectName, printf, toOperandName, toUnicodeBraille, toUnicodeBraille`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WriteTextClient

public WriteTextClient(String... arguments)

## Method Details

### processParameters

protected final void processParameters(String[] parameters)

Overrides:
  `processParameters` in class `Program`

### extendUsageSummary

protected final void extendUsageSummary(StringBuilder usage)

Overrides:
  `extendUsageSummary` in class `PauseClient`

### runClient

protected final void runClient(Connection connection) throws ProgramException

Overrides:
  `runClient` in class `PauseClient`
Throws:
  `ProgramException`